#include <Servo.h>

Servo servo1;                     // 创建舵机对象
Servo servo2;                     // 创建舵机对象
int servoPin1 = PA4;
int servoPin2 = PA7;              // 舵机引脚为PA4
int leftButtonPin = PA6;         // 左转按键引脚为PA6
int rightButtonPin = PA5;        // 右转按键引脚为PA5
int neutralPosition = 90;        // 中立位置角度
int forword = PA0;
int back = PA1;
int led = PB1;
void setup() {
  servo1.attach(servoPin1);
  servo2.attach(servoPin2);                 // 将舵机连接到舵机引脚
  pinMode(leftButtonPin, INPUT);          // 将左转按键引脚设置为输入模式
  pinMode(rightButtonPin, INPUT);
  pinMode(forword, INPUT);
  pinMode(back, INPUT);          // 将右转按键引脚设置为输入模式
  pinMode(led, OUTPUT); // 设置红灯引脚为输出模式

}

void loop() {
  digitalWrite(led, HIGH); // 绿灯亮

  // 左转按键检测
  if (digitalRead(leftButtonPin) == HIGH) {
    servo1.write(110);                     // 舵机执行左转
  }
  // 右转按键检测
  else if (digitalRead(rightButtonPin) == HIGH) {
    servo1.write(70);                       // 舵机执行右转
  }
  // 按键未按下，舵机回到中立位置
  else {
    servo1.write(neutralPosition);         // 舵机回到中立位置
  }
  // 左转按键检测
  if (digitalRead(forword) == HIGH) {
    servo2.write(110);                     // 舵机执行左转
  }
  // 右转按键检测
  else if (digitalRead(back) == HIGH) {
    servo2.write(70);                       // 舵机执行右转
  }
  // 按键未按下，舵机回到中立位置
  else {
    servo2.write(neutralPosition);         // 舵机回到中立位置
  }

}
